Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

the error I encountered while updating in ubuntu 11.10. since I found that ubuntu 11.10 supports much better than 12.04 for matlab, I have rebooted my OS to ubuntu 11.10. And even here, I face same problem. I feel this must be a trouble from oneiric

sudo apt-get update    
Err http://in.archive.ubuntu.com oneiric InRelease
Err http://in.archive.ubuntu.com oneiric-updates InRelease                     
Err http://in.archive.ubuntu.com oneiric-backports InRelease                   
Err http://in.archive.ubuntu.com oneiric-proposed InRelease                    
Err http://in.archive.ubuntu.com oneiric Release.gpg                           
Unable to connect to in.archive.ubuntu.com:http: [IP: 91.189.92.156 80]
Err http://in.archive.ubuntu.com oneiric-updates Release.gpg                   
Unable to connect to in.archive.ubuntu.com:http: [IP: 91.189.92.156 80]
Err http://in.archive.ubuntu.com oneiric-backports Release.gpg                 
Unable to connect to in.archive.ubuntu.com:http: [IP: 91.189.92.156 80]
Err http://extras.ubuntu.com oneiric InRelease                                 
Err http://in.archive.ubuntu.com oneiric-proposed Release.gpg                  
Unable to connect to in.archive.ubuntu.com:http: [IP: 91.189.92.156 80]
Err http://extras.ubuntu.com oneiric Release.gpg                               
Unable to connect to extras.ubuntu.com:http:
Err http://security.ubuntu.com oneiric-security InRelease                      
Err http://security.ubuntu.com oneiric-security Release.gpg                    
Unable to connect to security.ubuntu.com:http: [IP: 91.189.91.14 80]
Err http://archive.ubuntu.com oneiric InRelease
Err http://archive.ubuntu.com oneiric Release.gpg
Unable to connect to archive.ubuntu.com:http: [IP: 91.189.92.177 80]
Reading package lists... Done
W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/oneiric/InRelease  
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/oneiric/InRelease  
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/oneiric-updates/InRelease  
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/oneiric-backports/InRelease  
W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/oneiric-security/InRelease  
W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/oneiric/InRelease  
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/oneiric-proposed/InRelease  
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/oneiric/Release.gpg  Unable to connect to in.archive.ubuntu.com:http: [IP: 91.189.92.156 80]
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/oneiric-updates/Release.gpg  Unable to connect to in.archive.ubuntu.com:http: [IP: 91.189.92.156 80]
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/oneiric-backports/Release.gpg  Unable to connect to in.archive.ubuntu.com:http: [IP: 91.189.92.156 80]
W: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/oneiric-proposed/Release.gpg     Unable to connect to in.archive.ubuntu.com:http: [IP: 91.189.92.156 80]
W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/oneiric/Release.gpg         Unable to connect to extras.ubuntu.com:http:
W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/oneiric-security/Release.gpg           Unable to connect to security.ubuntu.com:http: [IP: 91.189.91.14 80]
W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/oneiric/Release.gpg         Unable to connect to archive.ubuntu.com:http: [IP: 91.189.92.177 80]
W: Some index files failed to download. They have been ignored, or old ones used instead.

/etc/apt/sources.list

# deb cdrom:[Ubuntu 11.10 _Oneiric Ocelot_ - Release amd64 (20111012)]/ dists/oneiric/main/binary-i386/
# deb cdrom:[Ubuntu 11.10 _Oneiric Ocelot_ - Release amd64 (20111012)]/ oneiric main restricted
deb-src http://archive.ubuntu.com/ubuntu oneiric main restricted #Added by software-properties

deb http://in.archive.ubuntu.com/ubuntu/ oneiric main restricted
deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric restricted main multiverse #Added by software-properties

deb http://in.archive.ubuntu.com/ubuntu/ oneiric-updates main restricted
deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric-updates restricted main multiverse           #Added by software-properties

deb http:// in.archive.ubuntu.com/ubuntu/ oneiric multiverse
deb http://in.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse

deb http://in.archive.ubuntu.com/ubuntu/ oneiric-backports main restricted multiverse
deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric-backports main restricted multiverse #Added by software-properties

deb http://security.ubuntu.com/ubuntu oneiric-security main restricted
deb-src http://security.ubuntu.com/ubuntu oneiric-security restricted main multiverse #Added by software-properties
deb http://security.ubuntu.com/ubuntu oneiric-security multiverse

# deb http://archive.canonical.com/ubuntu oneiric partner
# deb-src http://archive.canonical.com/ubuntu oneiric partner

deb http://extras.ubuntu.com/ubuntu oneiric main
deb http://in.archive.ubuntu.com/ubuntu/ oneiric-proposed restricted main multiverse
deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric-proposed restricted    main multiverse #Added by software-properties
deb-src http://extras.ubuntu.com/ubuntu oneiric main
share|improve this question
    
which sql server are you trying to install? –  hmayag Jun 1 '13 at 8:06
    
in order to help, could you paste what error you encountered and could you write down what you have done exactly? The command prompt you entered e.g ... Did you tried to install mysql server? Or do you wanted to install Oracle 11g? –  Oliver Erxleben Jun 1 '13 at 8:12
    
I want to install mysql server. the error I face is // [sudo] password for karishma: Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package mysql-server// –  karishma Jun 1 '13 at 9:10
    
I can see the error: it is the InRelease part of the URLs, what I cannot see is where it comes from, sources.list looks ok to my eyes. –  guntbert Jun 2 '13 at 20:18
    
So is there something that I can try for... –  karishma Jun 3 '13 at 5:46
show 3 more comments

1 Answer 1

SQL Server requires Microsoft Windows OS to run. There is no way you can install SQL Server on Ubuntu. It can only happen using some form of VM.

Make sure that you have Important security updates checked.

enter image description here

To install MySQL on Ubuntu 12.04, just press Ctrl+Alt+T on your keyboard to open Terminal. When it opens, run the command(s) below:

sudo apt-get update && sudo apt-get upgrade   
sudo apt-get install mysql-server

This will install just MySQL 5.5

enter image description here enter image description here

To install Apache2 With PHP5 And MySQL Support On Ubuntu 12.04 LTS

sudo apt-get install mysql-server mysql-client
sudo apt-get install apache2
sudo apt-get install php5 libapache2-mod-php5

Source: Thanks to Shankar Raman

share|improve this answer
    
I was trying to install through that method. I confront this error. [sudo] password for karishma: Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package mysql-server –  karishma Jun 1 '13 at 9:09
    
Look at the additions in my answer. I just tried it that way it was, and it worked. Try the command before the install command. Let me know if that helps. –  Mitch Jun 1 '13 at 9:26
    
when I am typing for update and upgrade, I get so many failed executions with last line,"0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded." Moreover adding "sudo apt-get install mysql-server" command resulted in "Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package mysql-server" Should I download somepackage or something? –  karishma Jun 1 '13 at 9:54
1  
See additions in my answer. Also make sure that you Internet connectivity is OK. –  Mitch Jun 1 '13 at 10:02
    
my internet connectivity is fine, and the option you were telling was already ticked. Still I couldn't make it. I was browsing through net, and they were asking to select install option in software center. But even I don't have that option in software center. –  karishma Jun 1 '13 at 10:19
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.